summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-portage/findcruft/Manifest3
-rw-r--r--app-portage/findcruft/findcruft-1.0.4-r1.ebuild33
-rw-r--r--app-vim/vimacs/Manifest7
-rw-r--r--app-vim/vimacs/vimacs-56.ebuild28
-rw-r--r--app-vim/vimacs/vimacs-57.ebuild28
-rw-r--r--app-vim/vimacs/vimacs-59.ebuild28
-rw-r--r--app-vim/vimacs/vimacs-9999.ebuild30
-rw-r--r--dev-util/silentbob/Manifest2
-rw-r--r--dev-util/silentbob/silentbob-1.5.ebuild23
-rw-r--r--sci-astronomy/ds9/Manifest5
-rw-r--r--sci-astronomy/ds9/ds9-5.1-r1.ebuild70
-rw-r--r--sci-astronomy/ds9/files/ds9-5.1-Makefile.patch30
-rw-r--r--sci-astronomy/ds9/files/ds9-5.1-gcc4.2-x86.patch26
-rw-r--r--sci-astronomy/ds9/files/ds9-5.1-tk-gif.patch15
-rw-r--r--sci-astronomy/fpipe/Manifest1
-rw-r--r--sci-astronomy/fpipe/fpipe-0.0.0.ebuild44
-rw-r--r--sci-astronomy/ftools/Manifest5
-rw-r--r--sci-astronomy/ftools/files/hd_install-DESTDIR.patch24
-rw-r--r--sci-astronomy/ftools/ftools-6.4.1.ebuild77
-rw-r--r--sci-astronomy/ftools/ftools-6.4.ebuild60
-rw-r--r--sci-astronomy/ftools/ftools-6.5.ebuild77
-rw-r--r--sci-libs/xpalib/Manifest2
-rw-r--r--sci-libs/xpalib/xpalib-2.1.8.ebuild29
-rw-r--r--sys-process/acctail/Manifest16
-rw-r--r--sys-process/acctail/acctail-2.0.ebuild31
-rw-r--r--sys-process/acctail/acctail-2.0.ebuild.patch13
-rw-r--r--sys-process/acctail/files/01-x86-2.0.patch132
-rw-r--r--x11-wm/weewm/Manifest2
-rw-r--r--x11-wm/weewm/weewm-0.0.2.ebuild31
29 files changed, 872 insertions, 0 deletions
diff --git a/app-portage/findcruft/Manifest b/app-portage/findcruft/Manifest
new file mode 100644
index 0000000..29910e4
--- /dev/null
+++ b/app-portage/findcruft/Manifest
@@ -0,0 +1,3 @@
+DIST findcruft-1.0.4.tar.bz2 16636 RMD160 73e0266e9a83bf7aacfd0a3a3659da179d23b040 SHA1 148f39c562cafccbc1d6f6a9ec0f66c811b381fe SHA256 6fde43f77b83f95dba65174de0505b2914f6fdabd583e039d1009902b21aeed7
+DIST findcruft-config-20050807.tar.bz2 8125 RMD160 3caf0db0f7931a72ad8d095bddf7e08fea222c71 SHA1 6dac7604b1029f1dce1777a1af592eda3f373a97 SHA256 12577badc39daa00a34ba9935a0a07371d80376bc3025cf43a46e17f86823b01
+EBUILD findcruft-1.0.4-r1.ebuild 879 RMD160 50974ded249249c30eca53ed01ff187d23a80ec3 SHA1 7f5de28737698df92c514d588ed802089f6bcbc6 SHA256 041a605ee8cd19c49d2ba5435486278652259ad914cac45285f2fc322168d63d
diff --git a/app-portage/findcruft/findcruft-1.0.4-r1.ebuild b/app-portage/findcruft/findcruft-1.0.4-r1.ebuild
new file mode 100644
index 0000000..e4e7a68
--- /dev/null
+++ b/app-portage/findcruft/findcruft-1.0.4-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DEPEND=""
+DESCRIPTION="Yet another script to find obsolete files"
+HOMEPAGE="http://forums.gentoo.org/viewtopic.php?t=254197"
+IUSE=""
+KEYWORDS="~x86 ~amd64"
+LICENSE="GPL-2"
+RESTRICT="nomirror"
+SLOT="0"
+SRC_URI="http://user.cs.tu-berlin.de/~sean/${P}.tar.bz2 \
+ http://ifp.loeber1.de/findcruft-config-20050807.tar.bz2"
+
+src_unpack() {
+ unpack ${A}
+ sed -i "s#/usr/local#/usr#" ${WORKDIR}/bin/findcruft || die
+}
+
+src_install() {
+ mkdir -p ${D}/usr/lib && mv ${WORKDIR}/findcruft ${D}/usr/lib || die
+ insinto /usr
+ dobin ${WORKDIR}/bin/findcruft
+ dodoc ${WORKDIR}/lib/findcruft/LICENSE
+}
+
+pkg_postinst() {
+ einfo "Please check the files findcruft reports as cruft carefully"
+ einfo "before deleting them! There may be false positives!"
+}
diff --git a/app-vim/vimacs/Manifest b/app-vim/vimacs/Manifest
new file mode 100644
index 0000000..d9af8d8
--- /dev/null
+++ b/app-vim/vimacs/Manifest
@@ -0,0 +1,7 @@
+DIST vimacs-56.tar.gz 30869 RMD160 704891062829a3b1ce82f12c27873794a7f59222 SHA1 2208f3defd0aaec2a10bd88597d7b8908581bb55 SHA256 90455df19970a3d588a08759b6243d1862c7b4b4c676a8312d028716162a9c02
+DIST vimacs-57.tar.gz 30883 RMD160 be9a4a70cbd22e32445b0f48c0848cba3242d834 SHA1 1c929a63365c51fccdc996bb1765d8def2f505d1 SHA256 4ac349622225e035cfb01ac893188d5a4877146a977e53fd8456b241193aa912
+DIST vimacs-59.tar.gz 34114 RMD160 10e02481845c95dbc2bc5e133fb47a357fa7accf SHA1 45f34a054ae85efea3890d6efdef50561568e8d8 SHA256 5f88994264115cf471210b18e2042148a512d85db3ebd6ab90755b57b2b430b3
+EBUILD vimacs-56.ebuild 743 RMD160 4f4b1fcb77248f8d204885d41387be6d2522e648 SHA1 5446d20e5d69d0be2fa3945e0f2d88e36eb69479 SHA256 b5d28aaafc29282d13a313317bc1d0e3a9e5c75f3ab6b2308b33ff173987847d
+EBUILD vimacs-57.ebuild 743 RMD160 4f4b1fcb77248f8d204885d41387be6d2522e648 SHA1 5446d20e5d69d0be2fa3945e0f2d88e36eb69479 SHA256 b5d28aaafc29282d13a313317bc1d0e3a9e5c75f3ab6b2308b33ff173987847d
+EBUILD vimacs-59.ebuild 706 RMD160 7b5c3f5ea9ed286f75818f34f757c0ade5bb9700 SHA1 428dc5afd11d9812091a6e17de07e42c6ec67c60 SHA256 c7b3cd3abb00bd031eaffb9ebf12a376a5c29bcbb7b4df1a4eb80734f2f379ec
+EBUILD vimacs-9999.ebuild 707 RMD160 75b37743f7b428d530ae0c7c74b7b063be211154 SHA1 6a7089a3369f3d1357b0f5a2df34d16e1cb75d16 SHA256 7cf7a2b05601bea9666a967ea43cbcc612ee89342939cb22bc14e143278d3071
diff --git a/app-vim/vimacs/vimacs-56.ebuild b/app-vim/vimacs/vimacs-56.ebuild
new file mode 100644
index 0000000..3f00e69
--- /dev/null
+++ b/app-vim/vimacs/vimacs-56.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit vim-plugin
+
+# Note: This is r56 in the subversion repository.
+
+DESCRIPTION="Vim-Improved eMACS: an Emacs emulation for Vim"
+HOMEPAGE="http://www.algorithm.com.au/code/vimacs/index.html
+ http://sigil.com.au/svn/trunk/Vimacs/
+ http://www.vim.org/scripts/script.php?script_id=300"
+SRC_URI="http://www.algorithm.com.au/downloads/vimacs/${P}.tar.gz"
+# LICENSE="as-is"
+KEYWORDS="~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="vimacs tab-indent"
+
+
+src_install() {
+ dosym vim /usr/bin/vimacs || die
+ dosym vim /usr/bin/vemacs || die
+ dosym gvim /usr/bin/gvimacs || die
+ dosym gvim /usr/bin/gvemacs || die
+
+ vim-plugin_src_install
+}
diff --git a/app-vim/vimacs/vimacs-57.ebuild b/app-vim/vimacs/vimacs-57.ebuild
new file mode 100644
index 0000000..3f00e69
--- /dev/null
+++ b/app-vim/vimacs/vimacs-57.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit vim-plugin
+
+# Note: This is r56 in the subversion repository.
+
+DESCRIPTION="Vim-Improved eMACS: an Emacs emulation for Vim"
+HOMEPAGE="http://www.algorithm.com.au/code/vimacs/index.html
+ http://sigil.com.au/svn/trunk/Vimacs/
+ http://www.vim.org/scripts/script.php?script_id=300"
+SRC_URI="http://www.algorithm.com.au/downloads/vimacs/${P}.tar.gz"
+# LICENSE="as-is"
+KEYWORDS="~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="vimacs tab-indent"
+
+
+src_install() {
+ dosym vim /usr/bin/vimacs || die
+ dosym vim /usr/bin/vemacs || die
+ dosym gvim /usr/bin/gvimacs || die
+ dosym gvim /usr/bin/gvemacs || die
+
+ vim-plugin_src_install
+}
diff --git a/app-vim/vimacs/vimacs-59.ebuild b/app-vim/vimacs/vimacs-59.ebuild
new file mode 100644
index 0000000..bc2d0e1
--- /dev/null
+++ b/app-vim/vimacs/vimacs-59.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit vim-plugin
+
+DESCRIPTION="Vim-Improved eMACS: an Emacs emulation for Vim"
+HOMEPAGE="http://www.algorithm.com.au/code/vimacs/index.html
+ http://sigil.com.au/svn/trunk/Vimacs/
+ http://www.vim.org/scripts/script.php?script_id=300"
+
+SRC_URI="http://www.algorithm.com.au/downloads/vimacs/${P}.tar.gz"
+LICENSE="Artistic-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="vimacs tab-indent"
+
+
+src_install () {
+ dosym vim /usr/bin/vimacs || die
+ dosym vim /usr/bin/vemacs || die
+ dosym gvim /usr/bin/gvimacs || die
+ dosym gvim /usr/bin/gvemacs || die
+
+ vim-plugin_src_install
+}
diff --git a/app-vim/vimacs/vimacs-9999.ebuild b/app-vim/vimacs/vimacs-9999.ebuild
new file mode 100644
index 0000000..11ffef7
--- /dev/null
+++ b/app-vim/vimacs/vimacs-9999.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit subversion eutils vim-plugin
+
+DESCRIPTION="Vim-Improved eMACS: an Emacs emulation for Vim"
+HOMEPAGE="http://www.algorithm.com.au/code/vimacs/index.html
+ http://sigil.com.au/svn/trunk/Vimacs/"
+ESVN_REPO_URI="http://sigil.com.au/svn/trunk/Vimacs"
+SRC_URI=""
+LICENSE="Artistic-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="vimacs tab-indent"
+
+ESVN_OFFLINE="yes"
+# ESVN_UP_FREQ="12"
+
+
+src_install () {
+ dosym vim /usr/bin/vimacs || die
+ dosym vim /usr/bin/vemacs || die
+ dosym gvim /usr/bin/gvimacs || die
+ dosym gvim /usr/bin/gvemacs || die
+
+ vim-plugin_src_install
+}
diff --git a/dev-util/silentbob/Manifest b/dev-util/silentbob/Manifest
new file mode 100644
index 0000000..e6f5ab8
--- /dev/null
+++ b/dev-util/silentbob/Manifest
@@ -0,0 +1,2 @@
+DIST silentbob-1.5.tar.gz 464258 RMD160 dac5c92b9a080b8261373e5b0613c2f39f118b87 SHA1 7bd0319a2690ca1e7cda7dc3277d6817a882591d SHA256 f14543980d6785947482e50622f3f3072abf2c119b8a607b638dcc2aae989d7f
+EBUILD silentbob-1.5.ebuild 437 RMD160 7e6e8de562702ad5433065af6d47e55c67917e79 SHA1 4100bb7938ad0197e3bd242585508bd9f1fdfaf6 SHA256 1ad1a6037d036ba28747e6e8ce0c1218841e3e7c05076daa780c55b851794156
diff --git a/dev-util/silentbob/silentbob-1.5.ebuild b/dev-util/silentbob/silentbob-1.5.ebuild
new file mode 100644
index 0000000..91deab8
--- /dev/null
+++ b/dev-util/silentbob/silentbob-1.5.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+DESCRIPTION="Yet another indexing tool."
+HOMEPAGE="http://silentbob.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+src_compile() {
+ econf || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ einstall || die "einstall failed"
+
+ dodoc README
+}
+
diff --git a/sci-astronomy/ds9/Manifest b/sci-astronomy/ds9/Manifest
new file mode 100644
index 0000000..32b19e6
--- /dev/null
+++ b/sci-astronomy/ds9/Manifest
@@ -0,0 +1,5 @@
+AUX ds9-5.1-Makefile.patch 1154 RMD160 1fa279839fecd4cc56a8445d34036ade9ad92406 SHA1 84dcb1a7d6e3fe1583d8ff9cf25a81091364cc9a SHA256 632d64d27f14e73c9ccb0e16874f652d556edbff0be34e38f53ec5cbd1f1b59b
+AUX ds9-5.1-gcc4.2-x86.patch 1022 RMD160 40c9c5da3fefae0a67af6750965df797dd2f4a7b SHA1 26a7c740fceb19f5277d2528f0ab4d3e45a46507 SHA256 30a2cabeb66fc2dccc081c04d4895ceab6d62e321f317d1e8c779b6128b41da3
+AUX ds9-5.1-tk-gif.patch 460 RMD160 bc670457e0424041d4fe4022f569cd78457c9b7b SHA1 aa90e00e34c026bf8776f973644cfebc09abaa32 SHA256 f46964aea235b2da8ae294a151668ede2dab46e83a0fbe1549de19b3305a477b
+DIST ds9.5.1.tar.gz 27331599 RMD160 46d915ff098f13911858320d33f5cda6c8ee0ea1 SHA1 7c2bb56e0a8a222b0d13d1d255aaa98fd2979d45 SHA256 aea981ea5714ca4dd9125aacebf2676a85e7045da7d1f97492fbe0e84a22aaf8
+EBUILD ds9-5.1-r1.ebuild 1985 RMD160 a01698ff9b072c9f8e1d25ab34424ca23b453b3d SHA1 f1184d78c3c69175b5b6edf5c030064d3a7730cf SHA256 c44ef2e01441d34e6ea16e13791b5b7bec21e2b7f494e3f48b1ff58180939c97
diff --git a/sci-astronomy/ds9/ds9-5.1-r1.ebuild b/sci-astronomy/ds9/ds9-5.1-r1.ebuild
new file mode 100644
index 0000000..8bc8b9b
--- /dev/null
+++ b/sci-astronomy/ds9/ds9-5.1-r1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-astronomy/ds9/ds9-5.1.ebuild,v 1.3 2008/02/14 23:32:16 bicatali Exp $
+
+inherit flag-o-matic eutils toolchain-funcs
+
+DESCRIPTION="Data visualization application for astronomical FITS images"
+HOMEPAGE="http://hea-www.harvard.edu/RD/ds9"
+SRC_URI="http://hea-www.harvard.edu/saord/download/${PN}/source/${PN}.${PV}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+RDEPEND="x11-libs/libX11
+ x11-libs/libXdmcp
+ x11-libs/libXau"
+DEPEND="${RDEPEND}
+ app-arch/zip"
+
+RESTRICT="strip test mirror"
+
+S="${WORKDIR}/sao${PN}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # patch to speed up compilation (no man pages generation)
+ epatch "${FILESDIR}"/${P}-Makefile.patch
+
+ # fix stack smashing on x86 with gcc-4.2
+ if [[ "${ARCH}" == "x86" ]]; then
+ epatch "${FILESDIR}"/${P}-gcc4.2-x86.patch
+ fi
+ # security fix in embedded tk (bug #208464)
+ epatch "${FILESDIR}"/${P}-tk-gif.patch
+
+ # remove build-time dependency on etags (i.e. emacs or xemacs)
+ sed -i -e '/^all/s/TAGS//' saotk/*/Makefile || die "sed failed"
+}
+
+src_compile() {
+ local ds9arch
+ case ${ARCH} in
+ x86) ds9arch=linux ;;
+ amd64) ds9arch=linux64 ;;
+ ppc) ds9arch=linuxppc ;;
+ x86-fbsd) ds9arch=freebsd ;;
+ *) die "ds9 not supported upstream for this architecture";;
+ esac
+ ln -s make.${ds9arch} make.include
+
+ # This is a long and fragile compilation
+ # which recompiles tcl/tk, tkimg, blt, funtools,
+ # and a lot of other packages
+ emake -j1 \
+ CC="$(tc-getCC)" \
+ CXX="$(tc-getCXX)" \
+ OPTS="${CXXFLAGS}" \
+ || die "emake failed"
+}
+
+src_install () {
+ dobin bin/ds9 || die "failed installing ds9 binary"
+ dobin bin/xpa* || die "failed installing xpa* binaries"
+ doman man/man?/xpa* || die " failed installing man pages"
+ dodoc README acknowledgement || die "failed installing basic doc"
+ if use doc; then
+ dohtml -r doc/* || die "failed installing html doc"
+ fi
+}
diff --git a/sci-astronomy/ds9/files/ds9-5.1-Makefile.patch b/sci-astronomy/ds9/files/ds9-5.1-Makefile.patch
new file mode 100644
index 0000000..6e1d6a8
--- /dev/null
+++ b/sci-astronomy/ds9/files/ds9-5.1-Makefile.patch
@@ -0,0 +1,30 @@
+--- Makefile.orig 2008-01-15 15:19:48.367764731 +0000
++++ Makefile 2008-01-15 16:04:54.805517099 +0000
+@@ -235,23 +235,23 @@
+ tcl : FORCE
+ @echo "Installing Tcl..."
+ cd $(TCLDIRDIR); CC='$(CC)' CFLAGS='$(OPTS) $(TCLOPTS)' LDFLAGS='$(LIBS)' ./configure $(TCLFLAGS) --disable-shared
+- cd $(TCLDIRDIR); $(MAKE) install
++ cd $(TCLDIRDIR); $(MAKE) install-binaries install-libraries
+
+ tk : FORCE
+ @echo "Installing Tk..."
+ cd $(TKDIRDIR); CC='$(CC)' CFLAGS='$(OPTS) $(TCLOPTS)' LDFLAGS='$(LIBS)' ./configure $(TCLFLAGS) --disable-shared
+- cd $(TKDIRDIR); $(MAKE) install
++ cd $(TKDIRDIR); $(MAKE) install-binaries install-libraries
+ $(RM) -r lib/$(TKVER)/demos
+
+ tktable : FORCE
+ @echo "Installing TkTable..."
+ cd $(TKTABLEDIR); CC='$(CC)' CFLAGS='$(OPTS)' LDFLAGS='$(LIBS)' ./configure $(TKTABLEFLAGS) --disable-shared
+- cd $(TKTABLEDIR); $(MAKE); $(MAKE) install
++ cd $(TKTABLEDIR); $(MAKE); $(MAKE) install-binaries install-libraries
+
+ tcllib : FORCE
+ @echo "Installing TCLLIB..."
+ cd $(TCLLIBDIR); ./configure $(TCLLIBFLAGS)
+- cd $(TCLLIBDIR); $(MAKE) install
++ cd $(TCLLIBDIR); $(MAKE) install-libraries
+
+ ifeq ($(OS),macosx)
+ blt : optincl
diff --git a/sci-astronomy/ds9/files/ds9-5.1-gcc4.2-x86.patch b/sci-astronomy/ds9/files/ds9-5.1-gcc4.2-x86.patch
new file mode 100644
index 0000000..99465ca
--- /dev/null
+++ b/sci-astronomy/ds9/files/ds9-5.1-gcc4.2-x86.patch
@@ -0,0 +1,26 @@
+diff -Naur saods9/make.linux saods9.new/make.linux
+--- saods9/make.linux 2007-12-18 17:54:57.000000000 -0500
++++ saods9.new/make.linux 2008-01-23 08:58:46.000000000 -0500
+@@ -9,15 +9,15 @@
+
+ # note: bug with gcc 4.1 and 4.2
+ # can't use -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
++CXX = g++
++CXXOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H
++CC = gcc
++CCOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H
++
+ #CXX = g++
+-#CXXOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H
++#CXXOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+ #CC = gcc
+-#CCOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H
+-
+-CXX = g++34
+-CXXOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+-CC = gcc34
+-CCOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
++#CCOPT = ${OPTS} -fPIC -DHAVE_SYS_UN_H -DHAVE_SYS_SHM_H -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
+
+ STRIP = strip
+ ZCAT = zcat
diff --git a/sci-astronomy/ds9/files/ds9-5.1-tk-gif.patch b/sci-astronomy/ds9/files/ds9-5.1-tk-gif.patch
new file mode 100644
index 0000000..4649a56
--- /dev/null
+++ b/sci-astronomy/ds9/files/ds9-5.1-tk-gif.patch
@@ -0,0 +1,15 @@
+--- tk8.4.17/generic/tkImgGIF.c.orig 2008-02-14 23:20:53.683962654 +0000
++++ tk8.4.17/generic/tkImgGIF.c 2008-02-14 23:21:42.762759495 +0000
+@@ -826,6 +826,12 @@
+ Tcl_PosixError(interp), (char *) NULL);
+ return TCL_ERROR;
+ }
++
++ if (initialCodeSize > MAX_LWZ_BITS) {
++ Tcl_SetResult(interp, "malformed image", TCL_STATIC);
++ return TCL_ERROR;
++ }
++
+ if (transparent != -1) {
+ cmap[transparent][CM_RED] = 0;
+ cmap[transparent][CM_GREEN] = 0;
diff --git a/sci-astronomy/fpipe/Manifest b/sci-astronomy/fpipe/Manifest
new file mode 100644
index 0000000..3c5818c
--- /dev/null
+++ b/sci-astronomy/fpipe/Manifest
@@ -0,0 +1 @@
+EBUILD fpipe-0.0.0.ebuild 899 RMD160 9f43b689a627b817fc9481b2fdeb6c31a94ad607 SHA1 5b323118d046df47bf1d8cd5512f224d5a78c62d SHA256 06d4c517210113e595ab2e7690c1b495cd0a25b49ba3fc3a57fec31d2a054495
diff --git a/sci-astronomy/fpipe/fpipe-0.0.0.ebuild b/sci-astronomy/fpipe/fpipe-0.0.0.ebuild
new file mode 100644
index 0000000..0230296
--- /dev/null
+++ b/sci-astronomy/fpipe/fpipe-0.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit subversion eutils
+
+DESCRIPTION="The fpipe: a CCD and high energy astrophysics data analysis package"
+HOMEPAGE=""
+ESVN_REPO_URI="http://pulsar.sternwarte.uni-erlangen.de/repos/fpipe/trunk/software"
+SRC_URI=""
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="+debug"
+
+DEPEND="x11-base/xorg-server
+ >=sci-libs/cfitsio-3.000
+ >=x11-libs/gtk+-2.8
+ x11-libs/cairo
+ sys-libs/readline
+ sci-libs/xpalib
+ dev-libs/pth"
+# and from CPAN: Tk::DataTree, IPC::XPA
+RDEPEND="${DEPEND}
+ dev-lang/perl
+ dev-perl/perl-tk
+ dev-perl/XML-Simple
+ virtual/perl-Time-HiRes"
+
+# ESVN_OFFLINE="yes"
+ESVN_UP_FREQ="1"
+ESVN_BOOTSTRAP="bootstrap.sh"
+
+
+src_compile () {
+ econf $(use_enable debug) CFLAGS="-fPIC" || die "econf failed"
+ emake || die "emake failed"
+}
+
+
+src_install () {
+ einstall || die "einstall failed"
+}
diff --git a/sci-astronomy/ftools/Manifest b/sci-astronomy/ftools/Manifest
new file mode 100644
index 0000000..f339872
--- /dev/null
+++ b/sci-astronomy/ftools/Manifest
@@ -0,0 +1,5 @@
+AUX hd_install-DESTDIR.patch 891 RMD160 00597fd6c53357f4dd7e03d47303de86ee0cb07b SHA1 27a84b5ea95d0b318b8d08a4781d4aa9a8d845dd SHA256 66d0478f2936b56165e2237578e6bb78dcc6a4ca7f197470b5164a043500b92f
+DIST heasoft6.4.1src.tar.gz 36639100 RMD160 ffeb7ef5dc637f2f52052de82bcb9dc71c524716 SHA1 9f1f3dfbcbe6bc88ebfcb755b6fcd567b7a9e966 SHA256 a0d4eccad7385acb42e9001b22ed8a9f1bd4a58fc57f7984c8340282d31820d2
+DIST heasoft6.4src.tar.gz 41516159 RMD160 44c91a6b28ddea96de0bd7d28b8e20ccfbd0edd8 SHA1 fad10e23242fb01e0a2e0ae71e22ec264d743540 SHA256 c681a0a40306ef17b0b1338b4927babaf606c0ab74cd43e2c73454da98f1270f
+EBUILD ftools-6.4.1.ebuild 1893 RMD160 08eab4ce73f0d31c896e605cfc161809f854d74f SHA1 d50c73720e37e5214ceea408367de4c94b48aab0 SHA256 a0196ece0e290c7d70fb2438f6ff07b505ed4539259d57f0ab5bcbaa8fd56040
+EBUILD ftools-6.4.ebuild 1558 RMD160 f9efee4336743493253fc938ea8027567749be21 SHA1 c4bad50031b28fb21859df057c46e9dcc00969e6 SHA256 53643ce6d1d4b1d16a1660796a58759b2be84c87e636a8d68be9978be97f4576
diff --git a/sci-astronomy/ftools/files/hd_install-DESTDIR.patch b/sci-astronomy/ftools/files/hd_install-DESTDIR.patch
new file mode 100644
index 0000000..f0c47e5
--- /dev/null
+++ b/sci-astronomy/ftools/files/hd_install-DESTDIR.patch
@@ -0,0 +1,24 @@
+--- heasoft-6.4.1.orig/BUILD_DIR/hd_install.c 2004-04-09 20:33:04.000000000 +0200
++++ heasoft-6.4.1/BUILD_DIR/hd_install.c 2008-06-24 22:57:00.000000000 +0200
+@@ -1548,6 +1548,21 @@
+ /* Next argument is required to be the name of the destination. */
+ if(NULL != *nextArg && '\0' != **nextArg) {
+ status = CleanPath(*nextArg, &dest, status);
++
++ /* add $DESTDIR to filename */
++ char *newdest = NULL;
++ char *destdir = getenv("DESTDIR");
++ fprintf(stderr, "DESTDIR=%s.\n", destdir);
++ fprintf(stderr, "dest=%s.\n", dest);
++ if (NULL != destdir) {
++ status = AppendPath(destdir, dest, &newdest, status);
++ fprintf(stderr, "newdest=%s.\n", newdest);
++ if (OK != status)
++ continue;
++ free(dest);
++ dest = newdest;
++ }
++
+ ++nextArg;
+ } else {
+ fprintf(stderr, sErrFmt, sBanner, usage);
diff --git a/sci-astronomy/ftools/ftools-6.4.1.ebuild b/sci-astronomy/ftools/ftools-6.4.1.ebuild
new file mode 100644
index 0000000..76de0d9
--- /dev/null
+++ b/sci-astronomy/ftools/ftools-6.4.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils fortran autotools
+
+# This package only includes the futils.
+
+DESCRIPTION="HEASOFT/HEADAS: The FTools (futils only) from NASA's GSFC for viewing and manipulating FITS files. Includes CFITSIO."
+HOMEPAGE="http://heasarc.gsfc.nasa.gov/docs/software/"
+SRC_URI="ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/heasoft${PV}src.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+# Recommend >=dev-lang/perl-5.6.0.
+# Possibly we can have cfitsio installed side-by-side.
+DEPEND=">=dev-lang/perl-5.6.0
+ x11-base/xorg-server
+ !sci-libs/cfitsio"
+RDEPEND="${DEPEND}"
+
+
+S="${WORKDIR}/heasoft-${PV}"
+
+# INSTDIR="${D}/headas-${PV}"
+# INSTDIR_ARCH="${INSTDIR}/<arch-and-lib>"
+
+INSTPREFIX=/usr/heasoft
+ARCHPREFIX=/usr
+
+pkg_setup() {
+ fortran_pkg_setup
+}
+
+src_unpack() {
+ unpack "${A}"
+
+ # All occurrences of hd_install.c are the same, and need the same patch.
+ HD_INSTALL_C_DIR=". tcltk ftools heacore demo"
+ for rdir in ${HD_INSTALL_C_DIR}; do
+ cd "${S}/${rdir}"
+ einfo "Entering \"${rdir}\" ..."
+ EPATCH_OPTS="-p1" epatch "${FILESDIR}/hd_install-DESTDIR.patch"
+ done
+}
+
+src_compile() {
+ cd "${S}/BUILD_DIR/"
+ econf || die "econf failed"
+ emake || die "emake failed"
+}
+
+
+src_install() {
+ cd "${S}/BUILD_DIR/"
+ emake DESTDIR="${D}" install || die "Install failed"
+ dodoc "${S}/Release_Notes_6.4.1" || die "dodoc failed"
+}
+
+pkg_postinst() {
+ ewarn "In order to use heasoft and the ftools, put in your ~/.bashrc"
+ einfo
+ ewarn " export HEADAS=\"${INSTDIR_ARCH}\""
+ ewarn " alias heainit=\". $HEADAS/headas-init.sh"
+ einfo
+ ewarn "and initialize the ftools with"
+ einfo
+ ewarn " $ heainit"
+ einfo
+ ewarn "every time you start a new shell."
+ ewarn "This is necessary since heasoft does not comply exactly with"
+ ewarn "GNU software conventions."
+ elog "Happy fitsing."
+}
diff --git a/sci-astronomy/ftools/ftools-6.4.ebuild b/sci-astronomy/ftools/ftools-6.4.ebuild
new file mode 100644
index 0000000..9dafd23
--- /dev/null
+++ b/sci-astronomy/ftools/ftools-6.4.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils fortran autotools
+
+DESCRIPTION="HEASOFT/HEADAS: The FTools from NASA's GSFC for viewing and manipulating FITS files. Includes CFITSIO."
+HOMEPAGE="http://heasarc.gsfc.nasa.gov/docs/software/"
+SRC_URI="ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/heasoft${PV}src.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 x86"
+IUSE=""
+
+# Recommend >=dev-lang/perl-5.6.0.
+# Possibly we can have cfitsio installed side-by-side.
+DEPEND="dev-lang/perl
+ x11-base/xorg-server
+ !sci-libs/cfitsio"
+RDEPEND="${DEPEND}"
+
+
+S="${WORKDIR}/headas-${PV}"
+
+INSTDIR="${D}/headas-${PV}"
+INSTDIR_ARCH="${INSTDIR}/<arch-and-lib>"
+
+pkg_setup() {
+ fortran_pkg_setup
+}
+
+
+src_compile() {
+ cd "${S}/BUILD_DIR/"
+ econf --x-include="${ROOT}/usr/include" --x-libraries="${ROOT}/usr/lib" || die "econf failed"
+ emake || die "emake failed"
+}
+
+
+src_install () {
+ emake install || die "emake install failed"
+ dodoc "${S}/Release_Notes_6.3" "${S}/Release_Notes_6.3.1" "${S}/HEASOFT-INSTALL.TXT" || die "dodoc failed"
+}
+
+pkg_postinst() {
+ ewarn "In order to use heasoft and the ftools, put in your ~/.bashrc"
+ einfo
+ ewarn " export HEADAS=\"${INSTDIR_ARCH}\""
+ ewarn " alias heainit=\". $HEADAS/headas-init.sh"
+ einfo
+ ewarn "and initialize the ftools with"
+ einfo
+ ewarn " $ heainit"
+ einfo
+ ewarn "every time you start a new shell."
+ ewarn "This is necessary since heasoft does not comply exactly with"
+ ewarn "GNU software conventions."
+ elog "Happy fitsing."
+}
diff --git a/sci-astronomy/ftools/ftools-6.5.ebuild b/sci-astronomy/ftools/ftools-6.5.ebuild
new file mode 100644
index 0000000..3a4b95a
--- /dev/null
+++ b/sci-astronomy/ftools/ftools-6.5.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils fortran autotools
+
+# This package only includes the futils.
+
+DESCRIPTION="HEASOFT/HEADAS: The FTools (futils only) from NASA's GSFC for viewing and manipulating FITS files. Includes CFITSIO."
+HOMEPAGE="http://heasarc.gsfc.nasa.gov/docs/software/"
+SRC_URI="ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/heasoft${PV}src.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+# Recommend >=dev-lang/perl-5.6.0.
+# Possibly we can have cfitsio installed side-by-side.
+DEPEND=">=dev-lang/perl-5.6.0
+ x11-base/xorg-server
+ !sci-libs/cfitsio"
+RDEPEND="${DEPEND}"
+
+
+S="${WORKDIR}/heasoft-${PV}"
+
+# INSTDIR="${D}/headas-${PV}"
+# INSTDIR_ARCH="${INSTDIR}/<arch-and-lib>"
+
+INSTPREFIX=/usr/heasoft
+ARCHPREFIX=/usr
+
+pkg_setup() {
+ fortran_pkg_setup
+}
+
+# src_unpack() {
+ # unpack "${A}"
+
+ # # All occurrences of hd_install.c are the same, and need the same patch.
+ # # HD_INSTALL_C_DIR=". tcltk ftools heacore demo"
+ # # for rdir in ${HD_INSTALL_C_DIR}; do
+ # # cd "${S}/${rdir}"
+ # # einfo "Entering \"${rdir}\" ..."
+ # # EPATCH_OPTS="-p1" epatch "${FILESDIR}/hd_install-DESTDIR.patch"
+ # # done
+# }
+
+src_compile() {
+ cd "${S}/BUILD_DIR/"
+ econf || die "econf failed"
+ emake || die "emake failed"
+}
+
+
+src_install() {
+ cd "${S}/BUILD_DIR/"
+ emake DESTDIR="${D}" install || die "Install failed"
+ dodoc "${S}/Release_Notes_6.4.1" || die "dodoc failed"
+}
+
+pkg_postinst() {
+ ewarn "In order to use heasoft and the ftools, put in your ~/.bashrc"
+ einfo
+ ewarn " export HEADAS=\"${INSTDIR_ARCH}\""
+ ewarn " alias heainit=\". $HEADAS/headas-init.sh"
+ einfo
+ ewarn "and initialize the ftools with"
+ einfo
+ ewarn " $ heainit"
+ einfo
+ ewarn "every time you start a new shell."
+ ewarn "This is necessary since heasoft does not comply exactly with"
+ ewarn "GNU software conventions."
+ elog "Happy fitsing."
+}
diff --git a/sci-libs/xpalib/Manifest b/sci-libs/xpalib/Manifest
new file mode 100644
index 0000000..10fdca1
--- /dev/null
+++ b/sci-libs/xpalib/Manifest
@@ -0,0 +1,2 @@
+DIST xpa-2.1.8.tar.gz 826515 RMD160 27e6fabcb6be85325f0ac651361b2be7c1051537 SHA1 9825212d8e3f8a15a540786c76c139e1e6224220 SHA256 b035852d0ae49b21eabed93c901c41510bd82499ac3defe6678a1d5d9209420a
+EBUILD xpalib-2.1.8.ebuild 702 RMD160 a5c8467abd803d5d8a5905d669741336946e86b3 SHA1 94b3654ce0138442ccc8ff768f45f987630d429c SHA256 b7269d3c176507b5c09345ce4780420c7a770ee711e46c169c7288077f18aa56
diff --git a/sci-libs/xpalib/xpalib-2.1.8.ebuild b/sci-libs/xpalib/xpalib-2.1.8.ebuild
new file mode 100644
index 0000000..684c3a0
--- /dev/null
+++ b/sci-libs/xpalib/xpalib-2.1.8.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+
+inherit eutils
+
+DESCRIPTION="The XPA messaging system provides seamless communication between many kinds of Unix programs"
+HOMEPAGE="http://hea-www.harvard.edu/RD/xpa/"
+SRC_URI="http://hea-www.harvard.edu/saord/download/xpa/xpa-${PV}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+
+# TODO: We do have some optional things like tcl, I think...
+IUSE=""
+
+S="${WORKDIR}/xpa-${PV}"
+
+
+src_compile() {
+ econf || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ mkdir -v -p "${D}/usr" || die "Could not make required directories"
+ einstall || die "einstall failed"
+}
diff --git a/sys-process/acctail/Manifest b/sys-process/acctail/Manifest
new file mode 100644
index 0000000..112766f
--- /dev/null
+++ b/sys-process/acctail/Manifest
@@ -0,0 +1,16 @@
+AUX 01-x86-2.0.patch 4285 RMD160 12ee7727c6cf86f3df76e1bc9cfa1bc4085ab357 SHA1 6bcb99f4f9a8e4640cedea2ba9fa222b0d20faae SHA256 757f9b76d7be9cd66ce3e0faf51222bfae0f32c4cd57581b48e91a8b7cd1450e
+MD5 bf83c445c90eea97c6dbe8d24fc33ba4 files/01-x86-2.0.patch 4285
+RMD160 12ee7727c6cf86f3df76e1bc9cfa1bc4085ab357 files/01-x86-2.0.patch 4285
+SHA256 757f9b76d7be9cd66ce3e0faf51222bfae0f32c4cd57581b48e91a8b7cd1450e files/01-x86-2.0.patch 4285
+DIST acctail-2.0.tgz 5738 RMD160 d48ed55f378e5bad23850cfb25cbb20edb169a77 SHA1 7a92399ca002f9de4d6635ef086ab309ee07aeed SHA256 7356d493469e3c9b3f8a0b73911476d996a4e4d3cf76a384872b34d6c6848133
+EBUILD acctail-2.0.ebuild 916 RMD160 f6f5a8d2c9809b709d9936539ae39dbc77462f03 SHA1 4f9ca69306ccce828c5e30de5bd579591efe181e SHA256 aabf3c48c061e49557068c2089acc4f737243e09bf23f26ab8aa55d58cd24600
+MD5 3a8312e5f574b139ea4038d4c8bfbfba acctail-2.0.ebuild 916
+RMD160 f6f5a8d2c9809b709d9936539ae39dbc77462f03 acctail-2.0.ebuild 916
+SHA256 aabf3c48c061e49557068c2089acc4f737243e09bf23f26ab8aa55d58cd24600 acctail-2.0.ebuild 916
+MISC acctail-2.0.ebuild.patch 521 RMD160 d569771849676b902f050c939507de83560e2c05 SHA1 c046cc631f8adfc96f5dc33fe091112cb7f60f46 SHA256 6368f80c5441f6e4b1e99b78ad50f4dda61e3594a236f0c4947591e449c36bed
+MD5 307afe42aba8ebe458606af257451bf9 acctail-2.0.ebuild.patch 521
+RMD160 d569771849676b902f050c939507de83560e2c05 acctail-2.0.ebuild.patch 521
+SHA256 6368f80c5441f6e4b1e99b78ad50f4dda61e3594a236f0c4947591e449c36bed acctail-2.0.ebuild.patch 521
+MD5 51ab127f15bac07002664610a87f8c41 files/digest-acctail-2.0 220
+RMD160 96a48e1c9cc86c63b7cd97fbb0e6426b5e3896a3 files/digest-acctail-2.0 220
+SHA256 b7e73a8046665eb21a3e32b42b824f1c5270589296e2a1fb352262293737de8f files/digest-acctail-2.0 220
diff --git a/sys-process/acctail/acctail-2.0.ebuild b/sys-process/acctail/acctail-2.0.ebuild
new file mode 100644
index 0000000..53fbfd5
--- /dev/null
+++ b/sys-process/acctail/acctail-2.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-process/acctail/acctail-2.0.ebuild,v 1.2 2007/10/27 23:06:23 ticho Exp $
+
+inherit eutils toolchain-funcs
+DESCRIPTION="shows all processes as they exit, along with the accounting information"
+HOMEPAGE="http://www.vanheusden.com/acctail/"
+SRC_URI="${HOMEPAGE}${P}.tgz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 x86"
+IUSE=""
+DEPEND="virtual/libc
+ sys-process/acct"
+
+src_unpack() {
+ unpack ${A}
+ sed -i '/^CPPFLAGS+=/s:-O2::' "${S}"/Makefile || die "sed Makefile (CPPFLAGS) failed"
+ sed -i '/^ strip /s: strip acctail::' "${S}"/Makefile || die "sed Makefile (strip) failed"
+ epatch "${FILESDIR}/01-x86-2.0.patch"
+}
+
+src_compile() {
+ tc-export CC LD AR
+ emake CC="${CC}" LD="${LD}" AR="${AR}" CFLAGS="${CFLAGS} -Wall" || die
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+}
diff --git a/sys-process/acctail/acctail-2.0.ebuild.patch b/sys-process/acctail/acctail-2.0.ebuild.patch
new file mode 100644
index 0000000..071aed7
--- /dev/null
+++ b/sys-process/acctail/acctail-2.0.ebuild.patch
@@ -0,0 +1,13 @@
+--- /usr/portage/sys-process/acctail/acctail-2.0.ebuild 2007-10-28 01:35:59.000000000 +0200
++++ acctail-2.0.ebuild 2008-02-10 19:03:15.000000000 +0100
+@@ -15,7 +15,9 @@
+
+ src_unpack() {
+ unpack ${A}
+- sed -i '/^CPPFLAGS+=/s:-O2::' "${S}"/Makefile || die "sed Makefile failed"
++ sed -i '/^CPPFLAGS+=/s:-O2::' "${S}"/Makefile || die "sed Makefile (CPPFLAGS) failed"
++ sed -i '/^ strip /s: strip acctail::' "${S}"/Makefile || die "sed Makefile (strip) failed"
++ epatch "${FILESDIR}/01-x86-2.0.patch"
+ }
+
+ src_compile() {
diff --git a/sys-process/acctail/files/01-x86-2.0.patch b/sys-process/acctail/files/01-x86-2.0.patch
new file mode 100644
index 0000000..e6a40f9
--- /dev/null
+++ b/sys-process/acctail/files/01-x86-2.0.patch
@@ -0,0 +1,132 @@
+diff -Naur acctail-2.0/acctail.cpp acctail-2.0.new/acctail.cpp
+--- acctail-2.0/acctail.cpp 2005-12-28 13:28:29.000000000 +0100
++++ acctail-2.0.new/acctail.cpp 2008-02-10 19:14:38.000000000 +0100
+@@ -15,31 +15,15 @@
+ #include "array.h"
+ #include "error.h"
+
++#ifdef DEBUG
++# define DBG(msg, x...) fprintf(stderr, msg, ## x)
++#else
++# define DBG(msg, x...)
++#endif
++
++
+ int sig_abort = 0;
+
+-/* included in the source as this definition doesn't seem to be exported anywhere */
+-struct acct_v3
+-{
+- char ac_flag; /* Flags */
+- char ac_version; /* Always set to ACCT_VERSION */
+- u_int16_t ac_tty; /* Control Terminal */
+- u_int32_t ac_exitcode; /* Exitcode */
+- u_int32_t ac_uid; /* Real User ID */
+- u_int32_t ac_gid; /* Real Group ID */
+- u_int32_t ac_pid; /* Process ID */
+- u_int32_t ac_ppid; /* Parent Process ID */
+- u_int32_t ac_btime; /* Process Creation Time */
+- float ac_etime; /* Elapsed Time */
+- comp_t ac_utime; /* User Time */
+- comp_t ac_stime; /* System Time */
+- comp_t ac_mem; /* Average Memory Usage */
+- comp_t ac_io; /* Chars Transferred */
+- comp_t ac_rw; /* Blocks Read or Written */
+- comp_t ac_minflt; /* Minor Pagefaults */
+- comp_t ac_majflt; /* Major Pagefaults */
+- comp_t ac_swaps; /* Number of Swaps */
+- char ac_comm[ACCT_COMM]; /* Command Name */
+-};
+
+ char *gen_temp_fname(int f_nr)
+ {
+@@ -100,11 +84,13 @@
+ {
+ time_t start = 0, now;
+ int f_nr = 0;
+- int fd;
++ int fd = -1;
+ char *fname = NULL;
+ array arr(9, 0);
+ int loop;
+
++ DBG("Entering show_v1_2...\n");
++
+ printf("COMMAND FLGS UID .GID EXIT UTIME STIME ETIME MEM\n");
+ if (details)
+ printf(" IO RW MINFLT MAJFLT SWAPS\n");
+@@ -114,7 +100,8 @@
+ {
+ struct acct record;
+ int rc;
+- char flags[5], nflags=0;
++ char flags[5];
++ size_t nflags=0;
+ struct passwd *pwent;
+ struct group *grpent;
+ char dummy[ACCT_COMM + 1];
+@@ -241,11 +228,13 @@
+ {
+ time_t start = 0, now;
+ int f_nr = 0;
+- int fd;
++ int fd = -1;
+ char *fname = NULL;
+ array arr(9, 0);
+ int loop;
+
++ DBG("Entering show_v3...\n");
++
+ printf("COMMAND FLGS UID .GID EXIT UTIME STIME ETIME MEM\n");
+ if (details)
+ {
+@@ -258,7 +247,8 @@
+ {
+ struct acct_v3 record;
+ int rc;
+- char flags[5], nflags=0;
++ char flags[5];
++ size_t nflags=0;
+ struct passwd *pwent;
+ struct group *grpent;
+ char dummy[ACCT_COMM + 1];
+@@ -319,7 +309,7 @@
+ int cur_index = arr.addstring(dummy);
+ arr.addcounter(cur_index, 0, compt_to_msec(record.ac_utime));
+ arr.addcounter(cur_index, 1, compt_to_msec(record.ac_stime));
+- arr.addcounter(cur_index, 2, compt_to_msec(record.ac_etime));
++ arr.addcounter(cur_index, 2, record.ac_etime);
+ arr.addcounter(cur_index, 3, expand_compt(record.ac_mem));
+ arr.addcounter(cur_index, 4, expand_compt(record.ac_io));
+ arr.addcounter(cur_index, 5, expand_compt(record.ac_rw));
+@@ -335,16 +325,17 @@
+ record.ac_exitcode,
+ compt_to_msec(record.ac_utime),
+ compt_to_msec(record.ac_stime),
+- compt_to_msec(record.ac_etime),
++ record.ac_etime,
+ expand_compt(record.ac_mem)
+ );
+ if (details)
+ {
+- char *timestr = ctime((time_t *)&record.ac_btime);
++ time_t ac_btime = (time_t) record.ac_btime;
++ char *timestr = ctime(&ac_btime);
+ char *dummy = strchr(timestr, '\n');
+- if (dummy) *dummy = 0x00;
++ if (dummy) *dummy = 0x00;
+
+- printf(" %-6ld %-6ld %-6ld %-6ld %-6ld %-5ld %-5ld\n",
++ printf(" %-6ld %-6ld %-6ld %-6ld %-6ld %-5d %-5d\n",
+ expand_compt(record.ac_io),
+ expand_compt(record.ac_rw),
+ expand_compt(record.ac_minflt),
+@@ -475,7 +466,7 @@
+ case 'd':
+ details = 1;
+ break;
+-
++
+ case 'V':
+ version();
+ return 0;
diff --git a/x11-wm/weewm/Manifest b/x11-wm/weewm/Manifest
new file mode 100644
index 0000000..072ab43
--- /dev/null
+++ b/x11-wm/weewm/Manifest
@@ -0,0 +1,2 @@
+DIST weewm-0.0.2.tar.bz2 44051 RMD160 8fe602c67e5fbe6ac2ee4a12a5a1704aba4de4e3 SHA1 2ed619043f11bca71ef62caa255aa2dfb549532b SHA256 b045542bb6ca0f7fe5966f2c394f88351cec05d08fc7d4c81f66be4ee23b551a
+EBUILD weewm-0.0.2.ebuild 590 RMD160 86b95f18ce7441d6ade6035a015ba8b104e02b95 SHA1 346ba2c9a67e46cda1e1c39dd7d671c722ccd165 SHA256 d9a2d5efc8b5d7bcee20d09d5c30cb90f74bf792358515745cb744278265e671
diff --git a/x11-wm/weewm/weewm-0.0.2.ebuild b/x11-wm/weewm/weewm-0.0.2.ebuild
new file mode 100644
index 0000000..ca04fad
--- /dev/null
+++ b/x11-wm/weewm/weewm-0.0.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+IUSE=""
+
+DESCRIPTION="WeeWM is a fast & ultra light Window Manager for XFree."
+SRC_URI="http://weewm.flashtux.org/download/${P}.tar.bz2"
+HOMEPAGE="http://www.weewm.org/"
+
+DEPEND="x11-base/xorg-x11"
+RDEPEND=${DEPEND}
+
+LICENSE="GPL-2 aewm as-is"
+SLOT="0"
+KEYWORDS="~x86"
+
+src_unpack() {
+ unpack ${P}.tar.bz2
+ cd ${S}
+}
+
+src_compile() {
+ make || die
+}
+
+src_install() {
+ cd ${S}
+ make DESTDIR=${D} install || die
+ dodoc AUTHORS BUGS COPYING FAQ* NEWS README TODO
+}